import { createRouter, createWebHashHistory } from "vue-router";

import LifeNo from "../pages/Life-no/index.vue";
import LifeNoDetail from "../pages/Life-no/life-no-detail.vue";

import User from "../pages/User/userList";
import UserDetail from "../pages/User/user-detail.vue";

import AddRole from "../pages/Role/add-role.vue";
import ManageRole from "../pages/Role/manage-role.vue";
import RoleDetail from "../pages/Role/role-detail.vue";
import goodsRouter from "./Goods/index";

const routes = [
  {
    path: "/",
    redirect: "/enterprise/certification"
  },
  {
    path: "/404",
    name: "NotFound",
    component: () =>
      import(/* webpackChunkName: "enterprise" */ "@/pages/Catch/notFound")
  },
  {
    path: "/403",
    name: "Forbidden",
    component: () =>
      import(/* webpackChunkName: "enterprise" */ "@/pages/Catch/forbidden")
  },
  // 企业认证管理
  {
    path: "/enterprise/certification",
    name: "Certification",
    component: () =>
      import(
        /* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Certification"
      ),
    meta: {
      requireAuth: true
    }
  },
  {
    path: "/enterprise/audit",
    name: "Audit",
    component: () =>
      import(/* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Audit"),
    meta: {
      requireAuth: true
    }
  },
  {
    path: "/enterprise/establish",
    name: "Establish",
    component: () =>
      import(
        /* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Establish"
      ),
    meta: {
      requireAuth: true
    }
  },
  //生活号管理
  {
    path: "/lifeNo",
    name: "LifeNo",
    component: LifeNo,
    meta: {
      requireAuth: true
    }
  },
  {
    path: "/lifeNoDetail",
    name: "LifeNoDetail",
    component: LifeNoDetail
  },
  //用户管理
  {
    path: "/user",
    name: "User",
    component: User
  },
  {
    path: "/userDetail",
    name: "UserDetail",
    component: UserDetail
  },
  //角色管理
  {
    path: "/roleAddRole",
    name: "AddRole",
    component: AddRole,
    meta: {
      requireAuth: true,
      keepAlive: true
    }
  },
  {
    path: "/roleManageRole",
    name: "ManageRole",
    component: ManageRole,
    meta: {
      requireAuth: true,
      keepAlive: true
    }
  },
  {
    path: "/roleRoleDetail",
    name: "RoleDetail",
    component: RoleDetail,
    meta: {
      keepAlive: true
    }
  },
  // 商品管理路由
  ...goodsRouter
];
console.log(routes);

const router = createRouter({
  history: createWebHashHistory(),
  routes
});

export default router;